spring.application.name = AMOS-MAINTENANCE-API
server.servlet.context-path=/maintenance
server.port = 8087


spring.profiles.active=dev
spring.jackson.serialization.write-dates-as-timestamps=true
feign.httpclient.enabled= true

logging.config=classpath:logback-${spring.profiles.active}.xml
#鏃堕棿杩斿洖绫诲瀷閰嶇疆
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone = Asia/Shanghai
#DB properties:
spring.datasource.driver-class-name = com.mysql.cj.jdbc.Driver
spring.datasource.hikari.maxLifetime = 1765000
spring.datasource.hikari.maximum-pool-size = 10
spring.datasource.testWhileIdle = true
spring.datasource.validationQuery = SELECT 1
#DB properties:
spring.jpa.show-sql = true
spring.jpa.hibernate.ddl-auto = none
spring.jpa.hibernate.naming-strategy = org.hibernate.cfg.ImprovedNamingStrategy
spring.jpa.database-platform = org.hibernate.dialect.MySQLDialect
mybatis.mapper-locations = classpath:db/mapper/*.xml
mybatis-plus.mapper-locations=classpath:db/mapper/*.xml
mybatis.type-aliases-package = com.yeejoin.amos.maintenance.business.entity.mybatis
mybatis.configuration.mapUnderscoreToCamelCase=true
#null值也返回
mybatis-plus.configuration.call-setters-on-nulls=true
spring.liquibase.changeLog=classpath:db/changelog/changelog-master.xml
spring.liquibase.enabled=true

mybatis.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl

equip.feign.name=AMOS-EQUIPMANAGE
equip.feign.prefix=/equip
input.custom.prefix = QYZD
input.statute.prefix = FG
jcs.fegin.name=JCS

Security.fegin.name=AMOS-API-PRIVILEGE

amos.feign.gennerator.use-gateway=true

Business.fegin.name=AMOS-AUTOSYS

Push.fegin.name=APPMESSAGEPUSHSERVICE


amos.flowWork.topic =/STATE_GRID/hazardManagement
amosRefresh.danger.topic =patrolDangerInsertOrUpdate
amosRefresh.patrol.topic =patrolCheckInsert
#停止通过WEB公开所有端点
management.endpoints.web.exposure.exclude=*
## redis失效时间
redis.cache.failure.time=10800
## eureka properties:
eureka.client.registry-fetch-interval-seconds=50
eureka.instance.prefer-ip-address=true
management.endpoint.health.show-details=always
management.endpoints.web.exposure.include=*
eureka.instance.health-check-url-path=/actuator/health
eureka.instance.lease-expiration-duration-in-seconds=10
eureka.instance.lease-renewal-interval-in-seconds=5
eureka.instance.metadata-map.management.context-path=${server.servlet.context-path}/actuator
eureka.instance.status-page-url-path=/actuator/info
eureka.instance.metadata-map.management.api-docs=http://localhost:${server.port}${server.servlet.context-path}/swagger-ui.html

